varying vec2 	texcoord;
uniform vec4	scales1,
				scales2;
uniform vec2	org;
attribute vec3	s2_vertex;
attribute vec4	s2_texcoords; 

void main()
{
	gl_Position = vec4(s2_vertex,1.0);
	texcoord = -s2_texcoords.st+vec2(1.0);
}